#
# spec file for package python-digitalocean
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-digitalocean
Version:        1.17.0
Release:        3.4
Summary:        Python module for Digital Ocean droplets
License:        LGPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/koalalorenzo/python-digitalocean/
Source:         https://github.com/koalalorenzo/python-digitalocean/archive/v%{version}.tar.gz
BuildRequires:  %{python_module jsonpickle}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.2.1}
BuildRequires:  %{python_module responses}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module urllib3 < 2.0.6}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-jsonpickle
Requires:       python-pytest
Requires:       python-requests >= 2.2.1
Requires:       python-responses
# urllib3 2.0.6 strips Cookies header, which changes the behavior of requests, which in turn breaks the Firewall tests
Requires:       python-urllib3 < 2.0.6
BuildArch:      noarch
%python_subpackages

%description
Python module to manage Digital Ocean droplets.

%prep
%autosetup -p1 -n python-digitalocean-%{version}

%build
export LANG=en_US.UTF-8
%pyproject_wheel

%install
export LANG=en_US.UTF-8
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/digitalocean
%{python_sitelib}/python_digitalocean-%{version}*-info

%changelog
* Tue Nov 21 2023 Matej Cepl <mcepl@cepl.eu>
- Clean up the SPEC file
* Tue Nov 21 2023 Markéta Machová <mmachova@suse.com>
- Require old urllib3
  * Cookie headers are stripped since urllib3 2.0.6, which breaks Firewall
* Sun Jul  2 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 1.17.0:
  * Update records
  * Delete records
  * Support for Projects in Manager
  * Loadbalancer missing properties
  * Updated Loadbalancer docs
* Tue May 18 2021 pgajdos@suse.com
- version update to 1.16.0
  * no upstream changelog except git log:
  https://github.com/koalalorenzo/python-digitalocean/compare/v1.15.0...v1.16.0
* Thu Jan 30 2020 Tomas Cech <sleep_walker@opensuse.org>
- Bump to 1.15.2
  see the GIT log for full list of changes
  https://github.com/koalalorenzo/python-digitalocean/compare/v1.13.2...v1.15.0
* Mon Sep  3 2018 Marketa Calabkova <mcalabkova@suse.com>
- Added python-digitalocean version 1.13.2 needed by python-certbot-dns-digitalocean
